<button mat-button [matMenuTriggerFor]="menu">
	<mat-icon>business</mat-icon>
	{{ (userService.currentTenantSubject | async)?.name || ('transl.simple.selectTenant' | translate) }}
</button>
<mat-menu #menu="matMenu">
	<ng-container *ngIf="userService.currentTenantIdentifierSubject | async">
		<button mat-menu-item [routerLink]="['/tenants', userService.currentTenantIdentifierSubject.value]">
			<mat-icon>home</mat-icon>{{ 'transl.simple.home' | translate }}
		</button>
		<button mat-menu-item [routerLink]="['/authentication/tenants/', userService.currentTenantIdentifierSubject.value]">
			<mat-icon>edit</mat-icon>{{ 'transl.simple.edit' | translate }}
		</button>
		<ng-content></ng-content>
		<button
			mat-menu-item
			*permissions="['core.user-service.write', 'core.user-service.read']"
			[routerLink]="['/authentication/tenants', userService.currentTenantIdentifierSubject.value, 'users']"
		>
			<mat-icon>person</mat-icon>{{ 'transl.simple.users' | translate }}
		</button>
		<button mat-menu-item *permissions="['core.user-service.write', 'core.user-service.tenant.write']" (click)="delete()">
			<mat-icon>delete_forever</mat-icon>{{ 'transl.simple.deleteTenant' | translate }}
		</button>
		<mat-divider></mat-divider>
	</ng-container>
	<button mat-menu-item *ngFor="let tenant of tenantService.tenantsSubject | async" [routerLink]="['/tenants', tenant._id]">
		{{ tenant.name }}
	</button>
	<mat-divider *ngIf="(tenantService.tenantsSubject | async).length > 0"></mat-divider>
	<button mat-menu-item [routerLink]="tenantCreationRouterLink">
		<mat-icon>add</mat-icon>
		{{ 'transl.simple.createTenant' | translate }}
	</button>
</mat-menu>
